<div id="wp-homeasap-featured-listings-admin">
	<div class="wrap">
		<h1>Easy MLS Listings Import: Settings</h1>
		
		<p>Thanks for installing Easy MLS Listings Import by Home ASAP!</p>

		<p>We created this plug-in to allow you to easily display a real estate agents' MLS listings on any WordPress site. Easy MLS Listings Import automatically pulls in listings by integrating with the <a href="https://dashboard.homeasap.com?utm_source=wordpress&utm_medium=referral&utm_campaign=easy_mls_imports">Real Estate Agent Directory</a>. Follow the steps below to get started.</p>
		
		
		
		<div class="card">
			
			<!-- STEP 1 -->
			
			<h2 id="step1createafreerealestateagentdirectoryprofile">Step 1 - Create a Real Estate Agent Directory Account for the Agent</h2>

			<p>Before proceeding, you'll need to make sure the agent has an account on the <a href="https://dashboard.homeasap.com?utm_source=wordpress&utm_medium=referral&utm_campaign=easy_mls_imports">Real Estate Agent Directory (READ)</a>. You will need the agent's e-mail address and MLS ID number to create the account.</p>

			<p>*Already a READ Member?* You can skip straight to step 2.</p>

			<p>*Unsure whether the agent has an existing READ account?* Use the agent search tool in Step 2 to check for the agent by name or e-mail address.</p>

			<!-- READ Sign Up Button -->
			<a href="https://about.homeasap.com/brand-awareness/real-estate-agent-directory/?utm_source=wordpress&utm_medium=referral&utm_campaign=easy_mls_imports" target="_blank"><button type="button" name="signup" class="button button-primary" value="Create a READ Account">Create a READ Account</button></a>
		
			<hr >
			
			<!-- STEP 2 -->

			<h2 id="step2requestyourshortcode">Step 2 - Connect to the Agent's Listings</h2>

			<p>Use the search tool below to find the agent's Real Estate Agent Directory profile by name or e-mail. Click their name to generate a shortcode containing the information you'll need.</p>
            
            <input id="homeasap-featured-listings-agent-search" placeholder="Search for yourself" /><span class="dashicons dashicons-search"></span>

			<p>Once your shortcode is complete, copy it below:</p>
			<p><code id="homeasap-featured-listings-shortcode-sample-code">[homeasap-featured-listings agent="<span class="homeasap-featured-listings-shortcode-sample-agent"></span>" height="500px" bgcolor="FFFFFF" css="min-width: 100% !important"]</code>
			&nbsp;<button class="button button-primary homeasap-featured-listings-shortcode-button-copy">Copy Code</button></p>

			<hr>

			<!-- STEP 3 -->

			<h2 id="step3placeyourshortcodeonthepage">Step 3 - Place Your Shortcode on the Page</h2>

			<p>Once you copy the shortcode generated in step 2, you can paste this shortcode on any page you want to display their listings. The agent's listings will be automatically imported from their MLS's IDX feed. Any time the agent adds, removes, or changes an MLS listing, it will update automatically with no extra work on your end!</p>
		</div>
		
		<!-- 
		Advanced Display Options 
		-->
		
		<div class="adv-options">
			<h2 id="advanceddisplayoptions">Advanced Display Options</h2>

			<!-- Maybe a toggle down section?? -->

			<p>Advanced users can customize some aspects of how listings appear on the page by adding or changing shortcode parameters. The following parameters are available.</p>
			
			<div class="adv-card">
				<table style="width: 100%;" cellpadding="20">
					<thead>
						<tr>
							<td class="col-1">Parameter Name</td>
							<td class="col-2">Description</td>
							<td class="col-3">Available Options</td>
							<td class="col-4">Examples</td>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>bgcolor</td>
							<td>This parameter sets the color that will show up behind listings. <a href="https://www.google.com/search?q=hex+color+picker&rlz=1C5CHFA_enUS880US880&oq=hexcolor&aqs=chrome.2.69i57j0l7.5706j0j7&sourceid=chrome&ie=UTF-8" target="_blank">Here's a tool you can use.</a></td>
							<td>Hexadecimal colors</td>
							<td><code>bgcolor="#223949"</code></td>
						</tr>
						<tr>
							<td>height</td>
							<td>This parameter sets the height of the container element that holds the listings.</td>
							<td>Number and unit with no spaces.  Available units include px, em, vh, and %.</td>
							<td>
								<code>height="300px"</code>
								<code>height="100%"</code>
								<code>height="20em"</code>
							</td>
						</tr>
						<tr>
							<td>agent</td>
							<td>This parameter identifies which agent profile in the Real Estate Agent Directory will be used to import listings. The agent id number is automatically included in the shortcode generated by the form above, but it can be edited manually if needed. The agent id can be found on the agent's Real Estate Agent Directory dashboard available at dashboard.homeasap.com.</td>
							<td>Real Estate Agent Directory Agent ID</td>
							<td><code>agent="11111"</code></td>
						</tr>
						<tr class="bottom">
							<td>css</td>
							<td>This parameter allows you to include some css styles that will be applied to the iframe element that contains the listings. This allows you to adjust the width, border, margin (around iframe), etc. However, you are unable to edit the default styles of what is contained within the iframe such as font-family at this time.</td>
							<td>Standard CSS declarations. Common examples are shown in the next column. <a href="https://www.w3schools.com/css/default.asp" target="_blank">Learn about more CSS options.</a></td>
							<td>
								<code>css="width: 80%; max-width: 600px;"</code>
								<code>css="border: 5px solid #000000; margin: 2%;"</code>
								<code>css="padding: 2%;"</code>
								<code>css="max-width: 100%; margin-top: 50px;"</code>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		
		<!-- 
		Troubleshooting 
		-->
		
		<div class="troubleshooting">
			<h2 id="troubleshooting">Troubleshooting</h2>

			<p>Having trouble? Visit our trouble shooting guide at <a href="https://helpcenter.homeasap.com/easy-mls-listings-import">helpcenter.homeasap.com/easy-mls-listings-import</a>.</p>

			<p>Have an idea for improving Easy MLS Listings Import? Send us an e-mail at <a href="mailto:cs@homeasap.com">cs@homeasap.com</a>.</p>
		</div>
			
		<br />
		<p class="copyright">Copyright &copy; <?=date("Y")?> HomeASAP LLC.</p>
	</div>
</div>
